Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056656 - Use static UID and GID for pulse user and group
Summary: Use static UID and GID for pulse user and group
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 16:17 UTC by Wim Taymans
Modified: 2014-01-23 13:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-23 13:16:46 UTC


Attachments (Terms of Use)
possible patch (deleted)
2014-01-22 16:17 UTC, Wim Taymans
no flags Details | Diff

Description Wim Taymans 2014-01-22 16:17:37 UTC
Created attachment 853939 [details]
possible patch

A random pulse group and user ID is generated the first time. For pulse however, there is a UID and GID statically defined in /usr/share/doc/setup/uidgid that should be used instead.

Attached patch fixes this.

Comment 1 Rex Dieter 2014-01-22 18:06:04 UTC
thanks.

Comment 2 Rex Dieter 2014-01-23 13:16:46 UTC
Adapted to more closely match scriptlet snippets from:
https://fedoraproject.org/wiki/Packaging:UsersAndGroups#Soft_static_allocation

%changelog
* Wed Jan 22 2014 Wim Taymans <wtaymans@redhat.com> - 4.0-12.gitf81e3
- Use the statically allocated UID and GID from /usr/share/doc/setup/uidgid (#1056656)
- The pulse-rt group doesn't exist (#885020)


Note You need to log in before you can comment on or make changes to this bug.